# Uses of Class
org.eclipse.birt.chart.computation.LegendItemHints

Packages that use LegendItemHints
Package
Description
org.eclipse.birt.chart.computation
This is a placeholder file for the org.eclipse.birt.chart.computation package.
org.eclipse.birt.chart.event
Contains classes that define a rendering notification that is interpreted by a device renderer.

## Uses of LegendItemHints in org.eclipse.birt.chart.computation

Methods in org.eclipse.birt.chart.computation that return LegendItemHints
Modifier and Type
Method
Description
`static LegendItemHints`
LegendItemHints.`createSeperator()`
`LegendItemHints[]`
LegendLayoutHints.`getLegendItemHints()`
`LegendItemHints`
LegendItemHints.`itemHeight(double itemHeight)`
`LegendItemHints`
LegendItemHints.`left(double left)`
`static LegendItemHints`
LegendItemHints.`newCategoryEntry(String sItem, SeriesDefinition sed, Series se, int index)`
`static LegendItemHints`
LegendItemHints.`newEntry(String sItem, String sValue, SeriesDefinition sed, Series se, int index)`
`static LegendItemHints`
LegendItemHints.`newGroupNameEntry(String name)`
`static LegendItemHints`
LegendItemHints.`newMinSliceEntry(String sItem, SeriesDefinition sed, Series se, int index)`
`LegendItemHints`
LegendItemHints.`top(double top)`
`LegendItemHints`
LegendItemHints.`validItemLen(int validItemLen)`
`LegendItemHints`
LegendItemHints.`validValueLen(int validValueLen)`
`LegendItemHints`
LegendItemHints.`valueHeight(double valueHeight)`
`LegendItemHints`
LegendItemHints.`width(double width)`
Constructors in org.eclipse.birt.chart.computation with parameters of type LegendItemHints
Modifier
Constructor
Description
``
`LegendLayoutHints(Size legendSize, Size titleSize, Label laTitle, boolean isMinSliceApplied, String minSliceText, LegendItemHints[] liha)`

## Uses of LegendItemHints in org.eclipse.birt.chart.event

Methods in org.eclipse.birt.chart.event with parameters of type LegendItemHints
Modifier and Type
Method
Description
`static StructureSource`
WrappedStructureSource.`createLegendEntry(Legend lg, LegendItemHints entry)`
Creates a WrappedStructure Source for type Legend Entry with a Legend parent.